gm version

NAME

| version - display software version, feature, and build information

Contents

Synopsis
Description
Examples
Options

Synopsis

| gm version

Description

| version displays the software release version, build quantum (pixel sample) depth, web site URL, copyright notice, enabled features support, configuration parameters, and final build options used to build the software. The available information depends on how the software was configured and the host system.

Examples

To display the version information:

      GraphicsMagick 1.3.27a 2017-12-11 Q16 http://www.GraphicsMagick.org/
      Copyright (C) 2002-2017 GraphicsMagick Group.
      Additional copyrights and licenses apply to this software.
      See http://www.GraphicsMagick.org/www/Copyright.html for details.
      Feature Support:
        Native Thread Safe       yes
        Large Files (> 32 bit)   yes
        Large Memory (> 32 bit)  yes
        BZIP                     yes
        DPS                      no
        FlashPix                 no
        FreeType                 yes
        Ghostscript (Library)    no
        JBIG                     yes
        JPEG-2000                yes
        JPEG                     yes
        Little CMS               yes
        Loadable Modules         no
        OpenMP                   yes (201307)
        PNG                      yes
        TIFF                     yes
        TRIO                     no
        UMEM                     no
        WebP                     yes
        WMF                      yes
        X11                      yes
        XML                      yes
        ZLIB                     yes
      Host type: x86_64-unknown-linux-gnu
      Configured using the command:
        ./configure  ...
      Final Build Parameters:
        CC       = ...
        CFLAGS   = ...
        CPPFLAGS = ...
        CXX      = ...
        CXXFLAGS = ...
        LDFLAGS  = ...
        LIBS     = ...

Back to Contents

Options

| The version command does not currently support any options.

Back to Contents